package com.fjhx.mes.service.completion;

import com.fjhx.mes.entity.completion.po.CompletionInfo;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mes.entity.completion.vo.CompletionInfoVo;
import com.fjhx.mes.entity.completion.dto.CompletionInfoSelectDto;
import com.fjhx.mes.entity.completion.dto.CompletionInfoDto;


/**
 * <p>
 * 完工入库 服务类
 * </p>
 *
 * @author
 * @since 2023-03-31
 */
public interface CompletionInfoService extends BaseService<CompletionInfo> {

    /**
     * 完工入库分页
     */
    Page<CompletionInfoVo> getPage(CompletionInfoSelectDto dto);

    /**
     * 完工入库明细
     */
    CompletionInfoVo detail(Long id);

    /**
     * 完工入库新增
     */
    void add(CompletionInfoDto completionInfoDto);

    /**
     * 完工入库编辑
     */
    void edit(CompletionInfoDto completionInfoDto);

    /**
     * 完工入库删除
     */
    void delete(Long id);

}
